All Downloads are FREE. Search and download functionalities are using the official Maven repository.

Download all versions of listenablefuture JAR files with all dependencies

Search JAR files by class name

listenablefuture from group com.google.guava (version 9999.0-empty-to-avoid-conflict-with-guava)

An empty artifact that Guava depends on to signal that it is providing ListenableFuture -- but is also available in a second "version" that contains com.google.common.util.concurrent.ListenableFuture class, without any other Guava classes. The idea is: - If users want only ListenableFuture, they depend on listenablefuture-1.0. - If users want all of Guava, they depend on guava, which, as of Guava 27.0, depends on listenablefuture-9999.0-empty-to-avoid-conflict-with-guava. The 9999.0-... version number is enough for some build systems (notably, Gradle) to select that empty artifact over the "real" listenablefuture-1.0 -- avoiding a conflict with the copy of ListenableFuture in guava itself. If users are using an older version of Guava or a build system other than Gradle, they may see class conflicts. If so, they can solve them by manually excluding the listenablefuture artifact or manually forcing their build systems to use 9999.0-....

Group: com.google.guava Artifact: listenablefuture

 

44 downloads
Artifact listenablefuture
Group com.google.guava
Version 9999.0-empty-to-avoid-conflict-with-guava
Last update 11. September 2018
Newest version No
Tags: they users using second contains enough avoiding avoid over concurrent empty only 9999 depends itself copy systems forcing select manually class number available providing without excluding that system them than listenablefuture conflict gradle some util idea other google common signal build notably version solve real older want conflicts classes with depend artifact which guava their also
Organization not specified
URL Not specified
License not specified
Dependencies amount 0
Dependencies No dependencies
There are maybe transitive dependencies!



listenablefuture from group com.google.guava (version 1.0)

Contains Guava's com.google.common.util.concurrent.ListenableFuture class, without any of its other classes -- but is also available in a second "version" that omits the class to avoid conflicts with the copy in Guava itself. The idea is: - If users want only ListenableFuture, they depend on listenablefuture-1.0. - If users want all of Guava, they depend on guava, which, as of Guava 27.0, depends on listenablefuture-9999.0-empty-to-avoid-conflict-with-guava. The 9999.0-... version number is enough for some build systems (notably, Gradle) to select that empty artifact over the "real" listenablefuture-1.0 -- avoiding a conflict with the copy of ListenableFuture in guava itself. If users are using an older version of Guava or a build system other than Gradle, they may see class conflicts. If so, they can solve them by manually excluding the listenablefuture artifact or manually forcing their build systems to use 9999.0-....

Group: com.google.guava Artifact: listenablefuture
Show documentation Show source 
 

44 downloads
Artifact listenablefuture
Group com.google.guava
Version 1.0
Last update 11. September 2018
Newest version No
Tags: they users using second contains enough avoiding avoid over concurrent empty only 9999 depends itself copy systems forcing select manually class number available without excluding that system them than listenablefuture conflict gradle some util idea google other common build notably version solve real older omits want conflicts classes with depend artifact which guava their also
Organization not specified
URL Not specified
License not specified
Dependencies amount 0
Dependencies No dependencies
There are maybe transitive dependencies!





Page 1 from 1 (items total 2)


© 2018 Weber Informatics LLC